/* ===== SUPPORT ===== */

.support-section{
    width:90%;
    max-width:1100px;
    margin:70px auto;
    text-align:center;
}

.support-title{
    font-size:40px;
    font-weight:800;
    color:#fff;
    margin-bottom:14px;
}

.support-subtitle{
    color:#9FA9C5;
    font-size:18px;
    margin-bottom:45px;
}

.support-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(240px,1fr));
    gap:24px;
}

.support-card{
    background:#161F35;
    border:1px solid rgba(255,255,255,.08);
    border-radius:24px;
    padding:32px 24px;
    display:flex;
    flex-direction:column;
    align-items:center;

    text-decoration:none;

    transition:.3s;

    box-shadow:0 12px 35px rgba(0,0,0,.25);
}

.support-card:hover{
    transform:translateY(-8px);

    border-color:#00E676;

    box-shadow:0 20px 40px rgba(0,230,118,.20);
}

.support-icon{
    width:72px;
    height:72px;
    display:block;
    margin:0 auto 18px;
    object-fit:contain;
}

.support-card h3{
    color:#fff;
    font-size:24px;
    margin-bottom:12px;
}

.support-card p{
    color:#9FA9C5;
    line-height:1.7;
    font-size:15px;
}

.telegram:hover{
    border-color:#27A7E7;
    box-shadow:0 0 30px rgba(39,167,231,.35);
}

.group:hover{
    border-color:#5865F2;
    box-shadow:0 0 30px rgba(88,101,242,.35);
}

.channel:hover{
    border-color:#00E676;
    box-shadow:0 0 30px rgba(0,230,118,.35);
}

.facebook:hover{
    border-color:#1877F2;
    box-shadow:0 0 30px rgba(24,119,242,.35);
}

/* ===== Mobile ===== */
@media (max-width:767px){

    .support-grid{
        grid-template-columns:repeat(2,1fr);
        gap:10px;
    }

    .support-card{
        padding:18px 12px;
        border-radius:18px;
    }

    .support-icon{
        font-size:38px;
        margin-bottom:12px;
    }

    .support-card h3{
        font-size:18px;
        margin-bottom:8px;
    }

    .support-card p{
        font-size:13px;
        line-height:1.4;
    }

}
